%global minorversion 1.1
%global xfceversion 4.16
%global _hardened_build 1
Name:           xfce4-fsguard-plugin
Version:        1.1.3
Release:        1
Summary:        Filesystem monitor plugin for the Xfce panel
License:        BSD
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  gettext
BuildRequires:  intltool

Requires:       xfce4-panel >= %{xfceversion}

%description
The fsguard plugin checks free space on a chosen mount point frequently and
displays an alarm if free space is less than given alarm limit.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%install
%make_install

# remove la file
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Tue Mar 12 2024 misaka00251 <liuxin@iscas.ac.cn> - 1.1.3-1
- Update to 1.1.3

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.1.2-1
- Update to 1.1.2

* Wed Jul 15 2020 <dillon.chen@turbolinux.com.cn> - 1.1.1-1
- Init package
